tvbrowser.ui.finder.calendar

## Class CalendarTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - tvbrowser.ui.finder.calendar.CalendarTableModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.table.TableModel

      public final class CalendarTableModel
      extends javax.swing.table.AbstractTableModel

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.table.AbstractTableModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalendarTableModel(Date firstDate)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `getColumnClass(int columnIndex)`
    `int` | `getColumnCount()`
    `java.lang.String` | `getColumnName(int column)`
    `Date` | `getCurrentDate()`
    `java.awt.Point` | `getPositionOfDate(Date date)`
    `int` | `getRowCount()`
    `java.lang.Object` | `getValueAt(int rowIndex, int columnIndex)`
    `void` | `setCurrentDate(Date date)`

    - ### Methods inherited from class javax.swing.table.AbstractTableModel

      `addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalendarTableModel

          public CalendarTableModel(Date firstDate)

  - ### Method Detail

    - #### getColumnCount

          public int getColumnCount()

    - #### getRowCount

          public int getRowCount()

    - #### getValueAt

          public java.lang.Object getValueAt(int rowIndex,
                                    int columnIndex)

    - #### getColumnName

          public java.lang.String getColumnName(int column)

      Specified by:
        `getColumnName` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnName` in class `javax.swing.table.AbstractTableModel`

    - #### getColumnClass

          public java.lang.Class<?> getColumnClass(int columnIndex)

      Specified by:
        `getColumnClass` in interface `javax.swing.table.TableModel`
      Overrides:
        `getColumnClass` in class `javax.swing.table.AbstractTableModel`

    - #### setCurrentDate

          public void setCurrentDate(Date date)

    - #### getCurrentDate

          public Date getCurrentDate()

    - #### getPositionOfDate

          public java.awt.Point getPositionOfDate(Date date)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)